/*
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the
# Common Development and Distribution License (the "License").
# You may not use this file except in compliance with the License.
#
# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
# or http://www.opensolaris.org/os/licensing.
# See the License for the specific language governing permissions
# and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each
# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
# If applicable, add the following below this CDDL HEADER, with the
# fields enclosed by brackets "[]" replaced with your own identifying
# information: Portions Copyright [yyyy] [name of copyright owner]
#
# CDDL HEADER END
#
*/

/*
#
# Copyright (c) 2010. Oracle and/or its affiliates. All rights reserved.
# Use is subject to license terms.
#
*/

#ifndef _PRE_DIALOG_H
#define _PRE_DIALOG_H

#define CMDASSIST_GCONF_DIR	"/apps/commandAssistant"
#define CMDASSIST_GCONF_RESULT_SIZE	CMDASSIST_GCONF_DIR "/result_size"
#define CMDASSIST_GCONF_SEARCH_COMMAND	CMDASSIST_GCONF_DIR "/search_command"
#define CMDASSIST_GCONF_SEARCH_TITLE	CMDASSIST_GCONF_DIR "/search_title"
#define CMDASSIST_GCONF_SEARCH_CONTENT	CMDASSIST_GCONF_DIR "/search_content"
#define CMDASSIST_GCONF_SYSTEM_LANGUAGEID	CMDASSIST_GCONF_DIR "/localeID"
#define CMDASSIST_GCONF_SYSTEM_LANGUAGE	CMDASSIST_GCONF_DIR "/locale"
#define CMDASSIST_GCONF_DOC_LIST	CMDASSIST_GCONF_DIR "/doc_list"
#define CMDASSIST_GCONF_SYSTEM_WSDL	CMDASSIST_GCONF_DIR "/wsdl"

#define CMDASSIST_WSDL	"http://services.learning.sun.com/commandassistant/Engine"
#define CMDASSIST_URL	"http://docs.sun.com/"

struct config_criteria_t {
	gboolean command;
	gboolean title;
	gboolean content;
	gdouble result_size;
};

struct config_system_t {
	gint languageID;
	gchar language[20];
	gchar wsdl[250];
	gboolean isServiceValid;
};

struct config_doc_t {
	gint size;
	gchar docs[300];
};

typedef struct config_criteria_t config_criteria;
typedef struct config_system_t config_system;
typedef struct config_doc_t config_doc;

typedef struct {
	gchar doc_name[20];
	gchar doc_des[100];

}cmd_doc_list;

struct cmdassist_config_t {
	config_criteria criteria;
	config_system system;
	config_doc doc;
};

typedef struct cmdassist_config_t cmdassist_config;

void load_config(cmdassist_config* );

void create_pre_dialog();

#endif /* _PRE_DIALOG_H */	
