/*
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the
# Common Development and Distribution License (the "License").
# You may not use this file except in compliance with the License.
#
# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
# or http://www.opensolaris.org/os/licensing.
# See the License for the specific language governing permissions
# and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each
# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
# If applicable, add the following below this CDDL HEADER, with the
# fields enclosed by brackets "[]" replaced with your own identifying
# information: Portions Copyright [yyyy] [name of copyright owner]
#
# CDDL HEADER END
#
*/

/*
#
# Copyright (c) 2010. Oracle and/or its affiliates. All rights reserved.
# Use is subject to license terms.
#
*/

#ifndef _SERVICE_H
#define _SERVICE_H

#include <glib.h>
#include "../pre-dialog.h"

struct _ResultItem
{
	gchar type[20];
	gchar url[200];
	gchar command[200];
	gchar title[200];
	gchar score[5];
	gchar desc[5];
	gchar size[5];
};
typedef struct _ResultItem  ResultItem;

struct _SearchResult
{
    gint		size;
    ResultItem*		list;
};
typedef struct _SearchResult  SearchResult;

int getResult(gchar*, cmdassist_config*, SearchResult*);

GList* get_doc_list(GList *, cmdassist_config*);

gboolean test_service(GList *, cmdassist_config *);

#endif /* _SERVICE_H */

