/*
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the
# Common Development and Distribution License (the "License").
# You may not use this file except in compliance with the License.
#
# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
# or http://www.opensolaris.org/os/licensing.
# See the License for the specific language governing permissions
# and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each
# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
# If applicable, add the following below this CDDL HEADER, with the
# fields enclosed by brackets "[]" replaced with your own identifying
# information: Portions Copyright [yyyy] [name of copyright owner]
#
# CDDL HEADER END
#
*/

/*
#
# Copyright (c) 2010. Oracle and/or its affiliates. All rights reserved.
# Use is subject to license terms.
#
*/

#ifndef __CA_SEARCH_H__
#define __CA_SEARCH_H__

#include "service/service.h"
#include <glib.h>

typedef struct {
    char type[10];
    char url[80];
    char title[50];
    char command[50];
} Leafnode;

typedef struct {
    int size;
    Leafnode* rs;
} ResultSet;

typedef struct {
    _Bool isLeaf;
    int count;
    char child[126];
    struct Treenode** next ;
    Leafnode* leaf;
} Treenode;

int doLocalSearch(gchar*, cmdassist_config*, SearchResult*, int );

#define FALSE 0
#define TRUE 1

#endif /* __CA_SEARCH_H__ */
